Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance.metadata
Class InstanceMetaData

    java.lang.Object
      org.jboss.portal.core.model.instance.metadata.InstanceMetaData

    public class InstanceMetaData

extends java.lang.Object

Represent metadata of an instance.

Version:
  $Revision: 9595 $
Author:
  Julien Viet

Constructor Summary
`InstanceMetaData()`

Method Summary
`static InstanceMetaData` | `buildLegacyMetaData(org.w3c.dom.Element instanceElt, java.lang.String pwaId)`
`static InstanceMetaData` | `buildMetaData(org.w3c.dom.Element instanceElt, PortalWebApp pwa)`
`static PreferenceMetaData` | `buildPreferenceMetaData(org.w3c.dom.Element preferenceElt)`
`static java.util.Map` | `buildPreferencesMetaData(org.w3c.dom.Element portletPreferencesElt)`
`LocalizedStringMetaData` | `getDisplayName()`
`java.lang.String` | `getId()`
`java.lang.String` | `getPortletRef()`
`PreferencesMetaData` | `getPreferences()`
`java.lang.String` | `getResourceBundle()`
`SecurityConstraintsMetaData` | `getSecurityConstraints()`
`java.util.List` | `getSupportedLocales()`
`void` | `setDisplayName(LocalizedStringMetaData displayName)`
`void` | `setId(java.lang.String id)`
`void` | `setPortletRef(java.lang.String portletRef)`
`void` | `setPreferences(PreferencesMetaData preferences)`
`void` | `setResourceBundle(java.lang.String resourceBundle)`
`void` | `setSecurityConstraints(SecurityConstraintsMetaData securityConstraints)`
`void` | `setSupportedLocales(java.util.List supportedLocales)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceMetaData

    public InstanceMetaData()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getPreferences

    public PreferencesMetaData getPreferences()

### setPreferences

    public void setPreferences(PreferencesMetaData preferences)

### getPortletRef

    public java.lang.String getPortletRef()

### setPortletRef

    public void setPortletRef(java.lang.String portletRef)

### getDisplayName

    public LocalizedStringMetaData getDisplayName()

### setDisplayName

    public void setDisplayName(LocalizedStringMetaData displayName)

### getSecurityConstraints

    public SecurityConstraintsMetaData getSecurityConstraints()

### setSecurityConstraints

    public void setSecurityConstraints(SecurityConstraintsMetaData securityConstraints)

### buildMetaData

    public static InstanceMetaData buildMetaData(org.w3c.dom.Element instanceElt,
                                                 PortalWebApp pwa)

### buildLegacyMetaData

    public static InstanceMetaData buildLegacyMetaData(org.w3c.dom.Element instanceElt,
                                                       java.lang.String pwaId)

  Parameters:
    `instanceElt` - the instance xml element
    `pwaId` - the portlet application id

### buildPreferencesMetaData

    public static java.util.Map buildPreferencesMetaData(org.w3c.dom.Element portletPreferencesElt)

### buildPreferenceMetaData

    public static PreferenceMetaData buildPreferenceMetaData(org.w3c.dom.Element preferenceElt)

### getResourceBundle

    public java.lang.String getResourceBundle()

### setResourceBundle

    public void setResourceBundle(java.lang.String resourceBundle)

### getSupportedLocales

    public java.util.List getSupportedLocales()

### setSupportedLocales

    public void setSupportedLocales(java.util.List supportedLocales)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD